Subject: [MIPSHOP-MIH-DT] Check status

From: Telemaco Melia <[email-masked]>
Date: Wed, 11 Jul 2007 19:21:04 +0200

Dear all,

I have been re-reading the docs available (DC doc, draft-jang-mipshop-nhdisc-01, draft-rahman-mipshop-mih-transport-03)
and I have some suggestions on the way forward. I think we need to converge into a single document other than producing 
updates of documents that will be outdated (hopefully) by the DT work.

The starting point is the proposed TOC, commented section by section on the base of the other documents.

Section 3.1
Scenarios have been proposed (see ppt file) but not yet agreed from all parties. 
This is an important part of the DT work since none of the existing documents cover this. 
I would appreciate your contribution. One aspect that draft draft-rahman-mipshop-mih-transport-03 
nicely discusses is the NAT problem. Can the authors of the document map their considerations to the scenarios?

Section 3.2
One of the major conclusions of the DC draft is that one single protocol is probably not sufficient to address the different issues. 
I suggest that this section discusses what are the implications of the selceted scenarios to the MSTP. 
One possible scenario could be for instance bootstrapping of MoS discovery upon network attachment 
(e.g. RA received after completion of a PMIP procedure) by providing a minimum amount of information 
(e.g. MoS offered in that network). MSTP can then carry over capability discovery. 
Applicability of DHCP use cases should also be explored.

Section 4.1
Reading back the DC draft and considering the last discussions on what the MSTP stores it seems there are contradicting opinions. 
DC clearly states that the MSTP should store IP addresses and the mapping between MIFID and MoS IP address is done at the MSTP. 
.21 folks are more in favor of letting the MIHF doing this job. The problem I see doing this is that we expose the MIHF to all 
the problems related to the transport layer, issue that we want to avoid especially is MSTP is composed by several protocols.

Section 4.2
The DC document discusses many of the issues listed in this section. Are transport experts fine with this? 
Are we forgetting important aspects?

Section 4.3
This section does not exists yet. The question is if we want to add a section on MSTP state management.

Section 5
The authors of draft-rahman-mipshop-mih-transport-03 have initial considerations about security. 
Are they willing to further elaborate on this?

Would you agree on the above? Comments are very welcome.

Tele

_______________________________________________
MIPSHOP-MIH-DT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop-mih-dt